## org.apache.coyote
Interface InputBuffer

All Known Subinterfaces:
  InputFilter

All Known Implementing Classes:
  BufferedInputFilter, ChunkedInputFilter, IdentityInputFilter, InternalInputBuffer, InternalInputBuffer.InputStreamInputBuffer, JkCoyoteHandler, MemoryProtocolHandler.ByteChunkInputBuffer, VoidInputFilter

public interface InputBuffer

Input buffer.

Author:
  Remy Maucherat

Method Summary
`int` `doRead(ByteChunk chunk, Request request)` Return from the input stream.

Method Detail

### doRead

    public int doRead(ByteChunk chunk,
                      Request request)
               throws java.io.IOException

  Return from the input stream. IMPORTANT: the current model assumes that the protocol will 'own' the buffer and return a pointer to it in ByteChunk ( i.e. the param will have chunk.getBytes()==null before call, and the result after the call ).

  Throws:
    `java.io.IOException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.